
Redmine - Defect #9588

Text fields used for data entry should trim whitespace.

2011-11-16 19:28 - Dave Carlton

Status: New Start date: 2011-11-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

For example, in the password recovery field for email address, if the address was copied and pasted with leading or trailing

whitespace it should be trimmed off before use. Trying to send email to ` joe@blow.com ' will fail miserably without the user knowing.

Related issues:

Related to Redmine - Defect #8317: Strip whitespace from integer custom field Closed 2011-05-06

Related to Redmine - Defect #25604: Redmine does not appear to strip leading ... New

Has duplicate Redmine - Feature #34566: Always trim title Closed

History

#1 - 2012-03-30 15:33 - Nitish Upreti

- File whitespace_email.diff added

- Status changed from New to Resolved

Here is the patch. Trimming the whitespace beforing checking with the database.

#2 - 2017-04-16 04:31 - Go MAEDA

- Related to Defect #8317: Strip whitespace from integer custom field added

#3 - 2017-04-16 04:33 - Go MAEDA

- Related to Defect #25604: Redmine does not appear to strip leading spaces from new issues added

#4 - 2021-02-01 05:20 - Go MAEDA

- Has duplicate Feature #34566: Always trim title added

#5 - 2021-02-01 05:27 - Go MAEDA

- Status changed from Resolved to New

Files

whitespace_email.diff 565 Bytes 2012-03-30 Nitish Upreti
